Bug 844297 - python-iptables-0.11.0 is available
python-iptables-0.11.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-iptables (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2012-07-30 04:57 EDT by Robin Lee
Modified: 2016-09-07 06:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-iptables-0.11.0-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-07 06:43:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add Python 3 & version update (2.97 KB, patch)
2016-08-18 04:21 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description Robin Lee 2012-07-30 04:57:34 EDT
Please refer to: https://github.com/ldx/python-iptables/tags
Comment 1 Fedora End Of Life 2013-04-03 10:10:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora End Of Life 2015-01-09 12:17:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Jan Kurik 2015-07-15 11:05:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Dominika Krejčí 2016-07-27 08:10:15 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/
Comment 5 Dominika Krejčí 2016-08-18 04:21 EDT
Created attachment 1191817 [details]
add Python 3 & version update

Hi Chris,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15293850
Comment 6 Lumír Balhar 2016-08-30 03:26:43 EDT
Hello Dominiko.

Your patch looks good to me and if maintainer has nothing against, we can push this change after a week.

Thank you.
Comment 7 Chris Lalancette 2016-08-30 08:19:46 EDT
Maintainer here.  Sorry I have not had time this summer to deal with this.  I'm fine with the patches; feel free to commit them.

Note You need to log in before you can comment on or make changes to this bug.